@keyframes move-square-1 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(90px, 90px);
  }
  16% {
    transform: translate(180px, 0);
  }
  24% {
    transform: translate(270px, 90px);
  }
  33% {
    transform: translate(360px, 0);
  }
  41% {
    transform: translate(450px, -90px);
  }
  49% {
    transform: translate(360px, -180px);
  }
  57% {
    transform: translate(270px, -270px);
  }
  66% {
    transform: translate(180px, -180px);
  }
  74% {
    transform: translate(90px, -270px);
  }
  82% {
    transform: translate(0, -180px);
  }
  90% {
    transform: translate(-90px, -90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

@keyframes move-square-2 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(90px, -90px);
  }
  16% {
    transform: translate(180px, 0);
  }
  24% {
    transform: translate(270px, -90px);
  }
  33% {
    transform: translate(360px, -180px);
  }
  41% {
    transform: translate(270px, -270px);
  }
  49% {
    transform: translate(180px, -360px);
  }
  57% {
    transform: translate(90px, -270px);
  }
  66% {
    transform: translate(0px, -360px);
  }
  74% {
    transform: translate(-90px, -270px);
  }
  82% {
    transform: translate(-180px, -180px);
  }
  90% {
    transform: translate(-90px, -90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

@keyframes move-square-3 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(90px, 90px);
  }
  16% {
    transform: translate(180px, 0);
  }
  24% {
    transform: translate(270px, -90px);
  }
  33% {
    transform: translate(180px, -180px);
  }
  41% {
    transform: translate(90px, -270px);
  }
  49% {
    transform: translate(0, -180px);
  }
  57% {
    transform: translate(-90px, -270px);
  }
  66% {
    transform: translate(-180px, -180px);
  }
  74% {
    transform: translate(-270px, -90px);
  }
  82% {
    transform: translate(-180px, 0);
  }
  90% {
    transform: translate(-90px, 90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

@keyframes move-square-4 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(90px, -90px);
  }
  16% {
    transform: translate(180px, -180px);
  }
  24% {
    transform: translate(90px, -270px);
  }
  33% {
    transform: translate(0px, -360px);
  }
  41% {
    transform: translate(-90px, -270px);
  }
  49% {
    transform: translate(-180px, -360px);
  }
  57% {
    transform: translate(-270px, -270px);
  }
  66% {
    transform: translate(-360px, -180px);
  }
  74% {
    transform: translate(-270px, -90px);
  }
  82% {
    transform: translate(-180px, 0);
  }
  90% {
    transform: translate(-90px, -90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

@keyframes move-square-5 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(90px, -90px);
  }
  16% {
    transform: translate(0, -180px);
  }
  24% {
    transform: translate(-90px, -270px);
  }
  33% {
    transform: translate(-180px, -180px);
  }
  41% {
    transform: translate(-270px, -270px);
  }
  49% {
    transform: translate(-360px, -180px);
  }
  57% {
    transform: translate(-450px, -90px);
  }
  66% {
    transform: translate(-360px, 0);
  }
  74% {
    transform: translate(-270px, 90px);
  }
  82% {
    transform: translate(-180px, 0);
  }
  90% {
    transform: translate(-90px, 90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

@keyframes move-square-6 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(-90px, -90px);
  }
  16% {
    transform: translate(-180px, -180px);
  }
  24% {
    transform: translate(-270px, -90px);
  }
  33% {
    transform: translate(-360px, -180px);
  }
  41% {
    transform: translate(-450px, -90px);
  }
  49% {
    transform: translate(-540px, 0);
  }
  57% {
    transform: translate(-450px, 90px);
  }
  66% {
    transform: translate(-360px, 180px);
  }
  74% {
    transform: translate(-270px, 90px);
  }
  82% {
    transform: translate(-180px, 180px);
  }
  90% {
    transform: translate(-90px, 90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

@keyframes move-square-7 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(-90px, -90px);
  }
  16% {
    transform: translate(-180px, 0);
  }
  24% {
    transform: translate(-270px, -90px);
  }
  33% {
    transform: translate(-360px, 0);
  }
  41% {
    transform: translate(-450px, 90px);
  }
  49% {
    transform: translate(-360px, 180px);
  }
  57% {
    transform: translate(-270px, 270px);
  }
  66% {
    transform: translate(-180px, 180px);
  }
  74% {
    transform: translate(-90px, 270px);
  }
  82% {
    transform: translate(0, 180px);
  }
  90% {
    transform: translate(90px, 90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

@keyframes move-square-8 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(-90px, 90px);
  }
  16% {
    transform: translate(-180px, 0);
  }
  24% {
    transform: translate(-270px, 90px);
  }
  33% {
    transform: translate(-360px, 180px);
  }
  41% {
    transform: translate(-270px, 270px);
  }
  49% {
    transform: translate(-180px, 360px);
  }
  57% {
    transform: translate(-90px, 270px);
  }
  66% {
    transform: translate(0, 360px);
  }
  74% {
    transform: translate(90px, 270px);
  }
  82% {
    transform: translate(180px, 180px);
  }
  90% {
    transform: translate(90px, 90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

@keyframes move-square-9 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(-90px, -90px);
  }
  16% {
    transform: translate(-180px, 0);
  }
  24% {
    transform: translate(-270px, 90px);
  }
  33% {
    transform: translate(-180px, 180px);
  }
  41% {
    transform: translate(-90px, 270px);
  }
  49% {
    transform: translate(0, 180px);
  }
  57% {
    transform: translate(90px, 270px);
  }
  66% {
    transform: translate(180px, 180px);
  }
  74% {
    transform: translate(270px, 90px);
  }
  82% {
    transform: translate(180px, 0);
  }
  90% {
    transform: translate(90px, -90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

@keyframes move-square-10 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(-90px, 90px);
  }
  16% {
    transform: translate(-180px, 180px);
  }
  24% {
    transform: translate(-90px, 270px);
  }
  33% {
    transform: translate(0, 360px);
  }
  41% {
    transform: translate(90px, 270px);
  }
  49% {
    transform: translate(180px, 360px);
  }
  57% {
    transform: translate(270px, 270px);
  }
  66% {
    transform: translate(360px, 180px);
  }
  74% {
    transform: translate(270px, 90px);
  }
  82% {
    transform: translate(180px, 0);
  }
  90% {
    transform: translate(90px, 90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

@keyframes move-square-11 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(-90px, 90px);
  }
  16% {
    transform: translate(0, 180px);
  }
  24% {
    transform: translate(90px, 270px);
  }
  33% {
    transform: translate(180px, 180px);
  }
  41% {
    transform: translate(270px, 270px);
  }
  49% {
    transform: translate(360px, 180px);
  }
  57% {
    transform: translate(450px, 90px);
  }
  66% {
    transform: translate(360px, 0);
  }
  74% {
    transform: translate(270px, -90px);
  }
  82% {
    transform: translate(180px, 0);
  }
  90% {
    transform: translate(90px, -90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

@keyframes move-square-12 {
  0% {
    transform: translate(0, 0);
  }
  8% {
    transform: translate(90px, 90px);
  }
  16% {
    transform: translate(180px, 180px);
  }
  24% {
    transform: translate(270px, 90px);
  }
  33% {
    transform: translate(360px, 180px);
  }
  41% {
    transform: translate(450px, 90px);
  }
  49% {
    transform: translate(540px, 0);
  }
  57% {
    transform: translate(450px, -90px);
  }
  66% {
    transform: translate(360px, -180px);
  }
  74% {
    transform: translate(270px, -90px);
  }
  82% {
    transform: translate(180px, -180px);
  }
  90% {
    transform: translate(90px, -90px);
  }
  100% {
    transform: translate(0, 0);
  }
}

.square-1 {
  animation: move-square-1 24s infinite;
}

.square-2 {
  animation: move-square-2 24s infinite;
}

.square-3 {
  animation: move-square-3 24s infinite;
}

.square-4 {
  animation: move-square-4 24s infinite;
}

.square-5 {
  animation: move-square-5 24s infinite;
}

.square-6 {
  animation: move-square-6 24s infinite;
}

.square-7 {
  animation: move-square-7 24s infinite;
}

.square-8 {
  animation: move-square-8 24s infinite;
}

.square-9 {
  animation: move-square-9 24s infinite;
}

.square-10 {
  animation: move-square-10 24s infinite;
}

.square-11 {
  animation: move-square-11 24s infinite;
}

.square-12 {
  animation: move-square-12 24s infinite;
}
